
Foreman - Bug #33203

Tracker # 33061 (New): Puppet extraction for 3.0

Clicking on build button for a host fails to render templates and the modal only displays warning

08/03/2021 12:00 PM - Marek Hulán

Status: Ready For Testing   

Priority: Normal   

Assignee: Ondřej Ezr   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman_

puppet/pull/176

  

Description

User can only see the modal with the warning, no submit button.

It seems there's a problem with the puppet part of some template and it's related to the extraction

foreman-rake errors:fetch_log request_id=9429fdec                                                 

                           

'ErbParser' je ignorován.

'RubyParser' je ignorován.

API controllers newer than Apipie cache! Run apipie:cache rake task to regenerate cache.

2021-08-03T13:56:34 [I|app|9429fdec] Started GET "/hosts/sat6-10.example.com/review_before_build" 

for 192.168.22.12 at 2021-08-03 13:56:34 +0200

2021-08-03T13:56:34 [I|app|9429fdec] Processing by HostsController#review_before_build as */*

2021-08-03T13:56:34 [I|app|9429fdec]   Parameters: {"id"=>"sat6-10.example.com"}

2021-08-03T13:56:34 [W|app|9429fdec] undefined method `find_template' for ForemanPuppet::Extension

s::ProvisioningTemplate:Module

2021-08-03T13:56:34 [I|app|9429fdec] Backtrace for 'undefined method `find_template' for ForemanPu

ppet::Extensions::ProvisioningTemplate:Module' error (NoMethodError): undefined method `find_templ

ate' for ForemanPuppet::Extensions::ProvisioningTemplate:Module

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_puppet-1.0.0.rc.1/app/models/conc

erns/foreman_puppet/extensions/host.rb:85:in `block in available_template_kinds'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.7/lib/active_record/re

lation/delegation.rb:87:in `each'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.7/lib/active_record/re

lation/delegation.rb:87:in `each'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_puppet-1.0.0.rc.1/app/models/conc

erns/foreman_puppet/extensions/host.rb:84:in `map'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_puppet-1.0.0.rc.1/app/models/conc

erns/foreman_puppet/extensions/host.rb:84:in `available_template_kinds'

 9429fdec | /usr/share/foreman/app/services/host_build_status.rb:3:in `available_template_kinds'

 9429fdec | /usr/share/foreman/app/services/host_build_status.rb:31:in `templates_status'

 9429fdec | /usr/share/foreman/app/services/host_build_status.rb:15:in `check_all_statuses'

 9429fdec | /usr/share/foreman/app/models/host/managed.rb:798:in `build_status_checker'

 9429fdec | /usr/share/foreman/app/controllers/hosts_controller.rb:178:in `review_before_build'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/basic_implicit_render.rb:6:in `send_action'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controlle

r/base.rb:195:in `process_action'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/rendering.rb:30:in `process_action'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controlle

r/callbacks.rb:42:in `block in process_action'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:112:in `block in run_callbacks'

 9429fdec | /usr/share/foreman/app/controllers/concerns/foreman/controller/timezone.rb:10:in `set_
timezone'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 9429fdec | /usr/share/foreman/app/models/concerns/foreman/thread_session.rb:32:in `clear_thread'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 9429fdec | /usr/share/foreman/app/controllers/concerns/foreman/controller/topbar_sweeper.rb:12:in

 `set_topbar_sweeper_controller'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.9.0/lib/audited/sweeper.rb:14:i

n `around'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/audited-4.9.0/lib/audited/sweeper.rb:14:i

n `around'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:121:in `block in run_callbacks'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:139:in `run_callbacks'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controlle

r/callbacks.rb:41:in `process_action'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/rescue.rb:22:in `process_action'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/instrumentation.rb:33:in `block in process_action'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications.rb:180:in `block in instrument'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications/instrumenter.rb:24:in `instrument'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

notifications.rb:180:in `instrument'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/instrumentation.rb:32:in `process_action'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal/params_wrapper.rb:245:in `process_action'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activerecord-6.0.3.7/lib/active_record/ra

ilties/controller_runtime.rb:27:in `process_action'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/abstract_controlle

r/base.rb:136:in `process'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionview-6.0.3.7/lib/action_view/render

ing.rb:39:in `process'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal.rb:190:in `dispatch'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_controller/

metal.rb:254:in `dispatch'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/ro

uting/route_set.rb:50:in `dispatch'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/ro

uting/route_set.rb:33:in `serve'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/jo

urney/router.rb:49:in `block in serve'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/jo

urney/router.rb:32:in `each'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/jo

urney/router.rb:32:in `serve'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/ro

uting/route_set.rb:834:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-4.2.0.pre.master/lib/katello/midd

leware/organization_created_enforcer.rb:18:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-4.2.0.pre.master/lib/katello/midd

leware/event_daemon.rb:10:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-dsl-2.4.0/lib/apipie_dsl/static_di
spatcher.rb:67:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/static_dis

patcher.rb:66:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/extractor/

recorder.rb:137:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /usr/share/foreman/lib/foreman/middleware/telemetry.rb:10:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/apipie-rails-0.5.17/lib/apipie/middleware

/checksum_in_headers.rb:27:in `call'

 9429fdec | /usr/share/foreman/lib/foreman/middleware/catch_json_parse_errors.rb:9:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/tempfile_reaper.rb:15

:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/etag.rb:27:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/conditional_get.rb:27

:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/head.rb:12:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/ht

tp/content_security_policy.rb:18:in `call'

 9429fdec | /usr/share/foreman/lib/foreman/middleware/logging_context_session.rb:22:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/session/abstract/id.r

b:266:in `context'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/session/abstract/id.r

b:260:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/cookies.rb:648:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/callbacks.rb:27:in `block in call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

callbacks.rb:101:in `run_callbacks'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/callbacks.rb:26:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/actionable_exceptions.rb:18:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/debug_exceptions.rb:32:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/show_exceptions.rb:33:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/rack/logger.rb
:37:in `call_app'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/rack/logger.rb

:28:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/sprockets-rails-3.2.1/lib/sprockets/rails

/quiet_assets.rb:13:in `call'

 9429fdec | /usr/share/foreman/lib/foreman/middleware/logging_context_request.rb:11:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/remote_ip.rb:81:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/request_id.rb:27:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-4.2.0.pre.master/lib/katello/prev

ent_json_parsing.rb:12:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/method_override.rb:24

:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/runtime.rb:22:in `cal

l'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/activesupport-6.0.3.7/lib/active_support/

cache/strategy/local_cache_middleware.rb:29:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/executor.rb:14:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/static.rb:126:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/sendfile.rb:110:in `c

all'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/actionpack-6.0.3.7/lib/action_dispatch/mi

ddleware/host_authorization.rb:76:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/secure_headers-6.3.0/lib/secure_headers/m

iddleware.rb:11:in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/engine.rb:527:

in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/railtie.rb:190

:in `public_send'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/railties-6.0.3.7/lib/rails/railtie.rb:190

:in `method_missing'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:74:in `bloc

k in call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `each

'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/rack-2.2.3/lib/rack/urlmap.rb:58:in `call

'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/configuration.rb:249:

in `call'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/request.rb:77:in `blo

ck in handle_request'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/thread_pool.rb:338:in

 `with_force_shutdown'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/request.rb:76:in `han

dle_request'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/server.rb:438:in `pro

cess_client'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/puma-5.3.2/lib/puma/thread_pool.rb:145:in

 `block in spawn_thread'

 9429fdec | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-2.3.0/lib/logging/diagnostic_cont

ext.rb:474:in `block in create_with_logging_context'

2021-08-03T13:56:34 [I|app|9429fdec]   Rendering common/500.html.erb

2021-08-03T13:56:34 [I|app|9429fdec]   Rendered common/500.html.erb (Duration: 3.9ms | Allocations

: 1850)

2021-08-03T13:56:34 [I|app|9429fdec] Completed 500 Internal Server Error in 148ms (Views: 5.0ms | 

ActiveRecord: 16.7ms | Allocations: 41949)

Foreman version: 3.0.0-develop

Plugins: 

 - foreman-tasks 5.0.0

 - foreman_ansible 6.4.1

 - foreman_azure_rm 2.2.5

 - foreman_bootdisk 17.1.0

 - foreman_discovery 17.0.0
 - foreman_kubevirt 0.1.9

 - foreman_leapp 0.1.7

 - foreman_openscap 4.3.3

 - foreman_puppet 1.0.0.rc.1

 - foreman_remote_execution 4.6.0

 - foreman_rh_cloud 4.0.24.1

 - foreman_templates 9.1.0

 - foreman_virt_who_configure 0.5.6

 - foreman_webhooks 2.0.0

 - katello 4.2.0.pre.master

 - redhat_access 2.2.20

History

#1 - 08/03/2021 12:15 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Ezr

- Pull request https://github.com/theforeman/foreman_puppet/pull/176 added
